import http from "@/http/http.js";
const request = http.request;
const urlType = "market";

export function suggestPage(params) {
  return request({
    url: urlType + `/admin/suggest/page`,
    method: "get",
    params: {
      ...params,
    },
  });
}
export function addSuggest(params) {
  return request({
    url: urlType + `/admin/suggest`,
    method: "POST",
    params: {
      ...params,
    },
  });
}
export function editSuggest(params) {
  return request({
    url: urlType + `/admin/suggest`,
    method: "PUT",
    params: {
      ...params,
    },
  });
}
export function deleteSuggest(params) {
  return request({
    url: urlType + `/admin/suggest?id=${params.id}`,
    method: "DELETE",
    params: {
      ...params,
    },
  });
}

